View Issue Details

IDProjectCategoryView StatusLast Update
0000978CaseTalk ModelerGeneration (SQL, XML, etc)public2016-06-01 13:57
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version9.0Fixed in Version8.9.1 
Summary0000978: Generate both PowerDesigner CDM and PDM
DescriptionThe CDM in PowerDesigner looks ok at first glace, yet when generating a PDM from it, the columns duplicate into the tables. This is because CDM doesn't know columns and foreign keys, only relationships.
Additional InformationThe PDM is closer to the database scripts CaseTalk generates, and the CDM hardly contains any attributes or columns. Therefor the script should generate a limited version to be used in CDM and an extensive version for PDM. The links in between these two models can be created by CaseTalk as well.
TagsNo tags attached.

Relationships

child of 0000124 assignedBCP Software Export database model to Erwin/PowerDesigner 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-05-25 15:49 BCP Software New Issue
2016-05-25 15:49 BCP Software Status new => assigned
2016-05-25 15:49 BCP Software Assigned To => BCP Software
2016-05-25 15:50 BCP Software Relationship added child of 0000124
2016-05-26 10:01 BCP Software Status assigned => resolved
2016-05-26 10:01 BCP Software Fixed in Version => 9.0
2016-05-26 10:01 BCP Software Resolution open => fixed
2016-06-01 13:57 BCP Software Fixed in Version 9.0 => 8.9.1